com.fasterxml.jackson.databind.deser.std

## Class JsonLocationInstantiator

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.ValueInstantiator
  - - com.fasterxml.jackson.databind.deser.ValueInstantiator.Base
    - - com.fasterxml.jackson.databind.deser.std.JsonLocationInstantiator

    public class JsonLocationInstantiator
    extends ValueInstantiator.Base

For `JsonLocation`, we should be able to just implement `ValueInstantiator` (not that explicit one would be very hard but...)

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

`ValueInstantiator.Base, ValueInstantiator.Gettable`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator.Base

`_valueType`

### Constructor Summary

Constructors
Constructor and Description
`JsonLocationInstantiator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canCreateFromObjectWith()` Method that can be called to check whether a property-based creator (argument-taking constructor or factory method) is available to instantiate values from JSON Object
`Object` `createFromObjectWith(DeserializationContext ctxt, Object[] args)` Method called to create value instance from JSON Object when instantiation arguments are passed; this is done, for example when passing information specified with "Creator" annotations.
`SettableBeanProperty[]` `getFromObjectArguments(DeserializationConfig config)` Method called to determine types of instantiation arguments to use when creating instances with creator arguments (when `ValueInstantiator.canCreateFromObjectWith()` returns true).

### Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator.Base

`getValueClass, getValueTypeDesc`

### Methods inherited from class com.fasterxml.jackson.databind.deser.ValueInstantiator

`_createFromStringFallbacks, canCreateFromBoolean, canCreateFromDouble, canCreateFromInt, canCreateFromLong, canCreateFromString, canCreateUsingArrayDelegate, canCreateUsingDefault, canCreateUsingDelegate, canInstantiate, createFromBoolean, createFromDouble, createFromInt, createFromLong, createFromObjectWith, createFromString, createUsingArrayDelegate, createUsingDefault, createUsingDelegate, getArrayDelegateCreator, getArrayDelegateType, getDefaultCreator, getDelegateCreator, getDelegateType, getIncompleteParameter, getWithArgsCreator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonLocationInstantiator

    public JsonLocationInstantiator()

### Method Detail

#### canCreateFromObjectWith

    public boolean canCreateFromObjectWith()

Description copied from class: `ValueInstantiator`
Method that can be called to check whether a property-based creator (argument-taking constructor or factory method) is available to instantiate values from JSON Object

Overrides:
  `canCreateFromObjectWith` in class `ValueInstantiator`

#### getFromObjectArguments

    public SettableBeanProperty[] getFromObjectArguments(DeserializationConfig config)

Description copied from class: `ValueInstantiator`
Method called to determine types of instantiation arguments to use when creating instances with creator arguments (when `ValueInstantiator.canCreateFromObjectWith()` returns true). These arguments are bound from JSON, using specified property types to locate deserializers.

NOTE: all properties will be of type `CreatorProperty`.

Overrides:
  `getFromObjectArguments` in class `ValueInstantiator`

#### createFromObjectWith

    public Object createFromObjectWith(DeserializationContext ctxt,
                                       Object[] args)

Description copied from class: `ValueInstantiator`
Method called to create value instance from JSON Object when instantiation arguments are passed; this is done, for example when passing information specified with "Creator" annotations.

This method is called if `ValueInstantiator.getFromObjectArguments(com.fasterxml.jackson.databind.DeserializationConfig)` returns a non-empty List of arguments.

Overrides:
  `createFromObjectWith` in class `ValueInstantiator`